org.appng.xml.platform

## Class TextElement

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.TextElement

- All Implemented Interfaces:
    Serializable

      public class TextElement
      extends BaseObject
      implements Serializable

  A text element that contains some XML, plain text or a CDATA section.

  Java class for text-element complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="text-element">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <choice>
                 <element name="xml">
                   <complexType>
                     <complexContent>
                       <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                         <sequence>
                           <any processContents='skip' namespace='##other' minOccurs="0"/>
                         </sequence>
                       </restriction>
                     </complexContent>
                   </complexType>
                 </element>
                 <element name="plain">
                   <simpleType>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     </restriction>
                   </simpleType>
                 </element>
                 <element name="cdata">
                   <simpleType>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     </restriction>
                   </simpleType>
                 </element>
               </choice>
               <element name="description" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="condition" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextElement.Xml` Java class for anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `cdata`
    `protected String` | `condition`
    `protected String` | `description`
    `protected String` | `id`
    `protected String` | `plain`
    `protected TextElement.Xml` | `xml`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextElement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCdata()` Gets the value of the cdata property.
    `String` | `getCondition()` Gets the value of the condition property.
    `String` | `getDescription()` Gets the value of the description property.
    `String` | `getId()` Gets the value of the id property.
    `String` | `getPlain()` Gets the value of the plain property.
    `TextElement.Xml` | `getXml()` Gets the value of the xml property.
    `void` | `setCdata(String value)` Sets the value of the cdata property.
    `void` | `setCondition(String value)` Sets the value of the condition property.
    `void` | `setDescription(String value)` Sets the value of the description property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setPlain(String value)` Sets the value of the plain property.
    `void` | `setXml(TextElement.Xml value)` Sets the value of the xml property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xml

          protected TextElement.Xml xml

    - #### plain

          protected String plain

    - #### cdata

          protected String cdata

    - #### description

          protected String description

    - #### id

          protected String id

    - #### condition

          protected String condition

  - ### Constructor Detail

    - #### TextElement

          public TextElement()

  - ### Method Detail

    - #### getXml

          public TextElement.Xml getXml()

      Gets the value of the xml property.
      Returns:
        possible object is `TextElement.Xml`

    - #### setXml

          public void setXml(TextElement.Xml value)

      Sets the value of the xml property.
      Parameters:
        `value` - allowed object is `TextElement.Xml`

    - #### getPlain

          public String getPlain()

      Gets the value of the plain property.
      Returns:
        possible object is `String`

    - #### setPlain

          public void setPlain(String value)

      Sets the value of the plain property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCdata

          public String getCdata()

      Gets the value of the cdata property.
      Returns:
        possible object is `String`

    - #### setCdata

          public void setCdata(String value)

      Sets the value of the cdata property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDescription

          public String getDescription()

      Gets the value of the description property.
      Returns:
        possible object is `String`

    - #### setDescription

          public void setDescription(String value)

      Sets the value of the description property.
      Parameters:
        `value` - allowed object is `String`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCondition

          public String getCondition()

      Gets the value of the condition property.
      Returns:
        possible object is `String`

    - #### setCondition

          public void setCondition(String value)

      Sets the value of the condition property.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.